using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace Publishmentation
{
    class BookPublishing:Publish
    {
        int isbn;
        ArrayList rePublish = new ArrayList();

        public ArrayList RePublish
        {
            get { return rePublish; }
            set { }
        }
        public int ISBN
        {
            get { return isbn; }
            set { isbn = value; }
        }
        string composer, translator, designer;

        public string Designer
        {
            get { return designer; }
            set { designer = value; }
        }

        public string Translator
        {
            get { return translator; }
            set { translator = value; }
        }


        public string Composer
        {
            get { return composer; }
            set { composer = value; }
        }
        public override void rePublishing(RePublishmentClass republishment)
        {
            rePublish.Add(republishment);

        }
    }
}
